__gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >(3cxx)

NAME
__gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc > - A sample node updator.

SYNOPSIS

#include <sample_trie_node_update.hpp>

  Public Types

typedef std::size_t metadata_type

  Protected Member Functions

sample_trie_node_update ()
Default constructor.
void operator() (node_iterator, node_const_iterator) const
Updates the rank of a node through a node_iterator node_it; end_nd_it is the end node iterator.

Detailed Description

  template<typename Node_CItr, typename Node_Itr, typename _ATraits, typename _Alloc>
class __gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >"A sample node updator.

Constructor & Destructor Documentation

  template<typename Node_CItr, typename Node_Itr, typename _ATraits, typename _Alloc> __gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >::sample_trie_node_update () [protected]

Default constructor.

Member Function Documentation

  template<typename Node_CItr, typename Node_Itr, typename _ATraits, typename _Alloc> void __gnu_pbds::sample_trie_node_update< Node_CItr, Node_Itr, _ATraits, _Alloc >::operator() (node_iterator , node_const_iterator ) const [inline], [protected]

Updates the rank of a node through a node_iterator node_it; end_nd_it is the end node iterator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.